techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Items
  • Getting Started
  • Merchant Account
    • Merchant Wallet
      • Wallet Details
      • Charge Wallet
    • Merchant Settings
    • List Bank Accounts
    • Update Merchant Settings
    • Organization Config
  • Customers
    • Locations
      • List Customer Locations
      • Customer Location Details
      • Create Customer Location
    • Memberships
      • List Customer Memberships
    • Customer Order Statistics
    • List Customers
    • Customer Details
    • Create Customer
    • Update Customer
  • Wallets
    • Customer Wallet Details
    • Deposit Points
    • Deposit Cashback
    • Redeem from Wallet
  • Vouchers
    • Get Voucher Discount
    • Update Voucher Usage
  • Items
    • Item Config Details
      GET
    • Update Item Config
      POST
    • List Items
      GET
    • Item Details
      GET
    • Create Item
      POST
    • Update Item
      PATCH
    • Delete Item
      DELETE
    • Reserve an item
      POST
    • Record Item Purchase
      POST
    • Bulk Update Items
      POST
    • Bulk Update Item Prices
      POST
  • Item Categories
    • List Item Categories
    • Item Category Details
    • Create Category
    • Update Category
    • Delete Category
  • Item Tags
    • List Item Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  • Item Images
    • Create Item Image
    • Upadte Item Image
    • Delete Item Image
  • Item Discounts
    • Create Item Discount
    • Upadte Item Discount
    • Delete Item Discount
  • Item Bundles
    • List Bundle Categories
    • Bundle Category Details
    • Create Bundle Category
    • Update Bundle Category
    • Delete Bundle Category
  • Item Modifiers
    • List Modifier Categories
    • Modifier Category Details
    • Create Modifier Category
    • Update Modifier Category
    • Delete Modifier Category
  • Carts
    • List Carts
    • Cart Details
  • Orders
    • Checkout Config Details
    • Update Checkout Config
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Invoices
    • Invoice Config Details
    • Update Invoice Config
    • List Invoices
    • Invoice Details
    • Refund Invoice
  • Transactions
    • List Transactions
    • Transaction Details
    • Capture Bank Transfer Transaction
    • Decline Bank Transfer Transaction
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Subscriptions Statistics
    • Cancel Subscription Auto Renewal
    • Cancel Subscription
    • Increment Subscription Usage
    • Decrement Subscription Usage
    • Bulk Pause Subscriptions
    • Bulk Resume Subscriptions
    • Create Subscription Update
    • Cancel Subscription Update
  • Fulfillments
    • Fulfillment Overview
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Tickets
    • List Tickets
    • Bulk Update Tickets
    • Validate Token and Check in Ticket
  • Shipments
    • Shipping Config Details
    • Update Shipping Config
    • Shipping Labels Details
    • Purchase Shipment Labels
    • Create Shipment
    • Cancel Shipment
    • Create Return Shipment
  • Pickup Locations
    • List Pickup Locations
    • Pickup Location Details
    • Create Pickup Location
    • Update Pickup Location Details
    • Delete Pickup Location
  • Couriers
    • List Couriers
    • Get Active Couriers
    • Get Couriers Prices
    • Courier Details
    • Create Custom Courier
    • Update Custom Courier Details
    • Delete Custom Courier
  • Geo & Places
    • List Countires
    • List Regions
    • List Cities
    • List Districts
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Update Webhook Details
    • Delete Webhook
    • List Webhook Logs
    • Test Webhook
    • Delete Webhook By URL
  • Sales Channels
    • Meals
      • List Provider Meal Plans
      • Update Meals Plans Listings
      • List Provider Meals Orders
      • Provider Meals Order Details
      • List Provider Meals Subscriptions
      • Provider Meals Subscription Details
    • Sales Channel Profile Details
    • List Sales Channel Connections
    • Accept Sales Channel Connection Request
    • Reject Sales Channel Connection Request
    • Activate Sales Channel Connection
    • Deactivate Sales Channel Connection
    • Delete Sales Channel Connection Request
  • Notifications
    • Send Notification
  • Meals Plans
    • List Plan Tags
    • List Plans
    • Plan Details
    • Menu Details
  • Meals Logistics
    • City Details
    • Captain Details
    • Branch Details
    • List Supported Windows
    • List Captains
    • Bulk Update SubOrders
  1. Items

Create Item

POST
https://api.techrar.com/inventory/v1/merchant/items/
This endpoint allows you to create a new item and return its details.
Permission
can_write_item - Items write only

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/inventory/v1/merchant/items/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "categories_ids": [
       4
    ],
    "type": "service",
    "service_type": "digital",
    "sku": "qui sed aliquip Ut fugiat",
    "price": 144,
    "name_en": "Daniel Hoeger",
    "name_ar": "Kristopher Grimes PhD",
    "description_en": "nulla do",
    "description_ar": null,
    "unlimited_qty": true,
    "qty": 0,
    "is_active": false,
    "off_days": null,
    "off_dates": null,
    "served_from_date": null,
    "served_to_date": null,
    "served_from_time": null,
    "served_to_time": null,
    "gender": null,
    "branch_id": null,
    "handler_id": null,
    "city_id": null,
    "is_bundle_item_only": true,
    "is_plan_enabled": true,
    "is_plan_only": true,
    "plan_config": {
        "pricing_model": "fixed",
        "setup_fees": 50.0,
        "duration_unit": "month",
        "duration": 1,
        "total_billing_cycles": 1,
        "renewal_policy": "mandatory",
        "trial_duration_unit": "day",
        "trial_duration": 14,
        "grace_period_unit": "day",
        "grace_period": 7,
        "usage_unit": "credit",
        "usage_limit": null,
        "auto_increment_usage": false
    }
}'
Response Response Example
{
    "id": 17,
    "custom_fields": null,
    "images": [
        {
            "id": 10,
            "custom_fields": null,
            "app_id": null,
            "ordering": 0,
            "lang": "en",
            "full_size": "https://d2q148pz850bpa.cloudfront.net/media/uploads/items/full_size/2024/12/31/603b3bfc-7869-403a-8aa7-76486b49e659.webp",
            "thumbnail": null,
            "large": null,
            "medium": null,
            "small": null,
            "item": 17
        },
        {
            "id": 11,
            "custom_fields": null,
            "app_id": null,
            "ordering": 0,
            "lang": "en",
            "full_size": "https://d2q148pz850bpa.cloudfront.net/media/uploads/items/full_size/2024/12/31/cf5301ee-65b4-445a-88b4-8ec8f54c10f9.webp",
            "thumbnail": null,
            "large": null,
            "medium": null,
            "small": null,
            "item": 17
        },
        {
            "id": 12,
            "custom_fields": null,
            "app_id": null,
            "ordering": 0,
            "lang": "en",
            "full_size": "https://d2q148pz850bpa.cloudfront.net/media/uploads/items/full_size/2024/12/31/52ddff0d-dcc8-412a-b380-68b338101f55.webp",
            "thumbnail": null,
            "large": null,
            "medium": null,
            "small": null,
            "item": 17
        },
        {
            "id": 13,
            "custom_fields": null,
            "app_id": null,
            "ordering": 0,
            "lang": "en",
            "full_size": "https://d2q148pz850bpa.cloudfront.net/media/uploads/items/full_size/2024/12/31/0c3c6ca3-50ca-4e7d-927b-3b8a933a14ca.webp",
            "thumbnail": null,
            "large": null,
            "medium": null,
            "small": null,
            "item": 17
        }
    ],
    "discounts": [
        {
            "id": 17,
            "custom_fields": null,
            "app_id": 243,
            "created_at": "2024-12-31T12:08:08.141763+03:00",
            "modified_at": "2024-12-31T12:08:08.141778+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "type": "percentage",
            "value": 10,
            "is_active": true,
            "active_from": "2024-12-01T03:00:00+03:00",
            "active_to": "2024-12-30T03:00:00+03:00",
            "item": 17
        }
    ],
    "categories": [
        {
            "id": 6,
            "custom_fields": null,
            "app_id": 243,
            "created_at": "2024-12-31T12:08:08.137150+03:00",
            "modified_at": "2024-12-31T12:08:08.137164+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_en": "Mabkhara",
            "name_ar": "مباخر",
            "is_active": true
        }
    ],
    "modifiers": [
        {
            "id": 2,
            "ordering": 0,
            "name_en": "size",
            "name_ar": "size",
            "values": [
                {
                    "id": 4,
                    "ordering": 0,
                    "name_en": "small",
                    "name_ar": "small"
                },
                {
                    "id": 3,
                    "ordering": 0,
                    "name_en": "large",
                    "name_ar": "large"
                }
            ]
        }
    ],
    "variants": [
        {
            "id": 18,
            "custom_fields": null,
            "images": [],
            "discounts": [
                {
                    "id": 18,
                    "custom_fields": null,
                    "app_id": 243,
                    "created_at": "2024-12-31T12:08:08.162444+03:00",
                    "modified_at": "2024-12-31T12:08:08.162460+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "type": "percentage",
                    "value": 10,
                    "is_active": true,
                    "active_from": "2024-12-01T03:00:00+03:00",
                    "active_to": "2024-12-30T03:00:00+03:00",
                    "item": 18
                }
            ],
            "off_days": [],
            "off_dates": [],
            "variant_title_en": "small",
            "variant_title_ar": "small",
            "modifier_values": [
                4
            ],
            "app_id": 243,
            "created_at": "2024-12-31T12:08:08.159299+03:00",
            "modified_at": "2024-12-31T12:08:08.174582+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "type": "product",
            "service_type": "delivery",
            "sku": "crystal_mubkhara_small",
            "price": 70,
            "name_en": "Mabkhara Crystal",
            "name_ar": "مبخرة الكريستال",
            "description_en": null,
            "description_ar": null,
            "is_main_variant": false,
            "is_bundle_item_only": false,
            "branch_id": null,
            "city_id": null,
            "handler_id": null,
            "limited_qty": true,
            "qty": 10,
            "is_scheduled": false,
            "plan_config": null,
            "is_plan_only": false,
            "is_plan_enabled": false,
            "is_active": true,
            "served_from_date": null,
            "served_to_date": null,
            "served_from_time": null,
            "served_to_time": null,
            "gender": null,
            "allow_checkin_everywhere": false,
            "allow_preferred_date": false,
            "allow_preferred_time": false
        }
    ],
    "varies_on": "modifiers",
    "off_days": [],
    "off_dates": [],
    "bundle_categories": [],
    "app_id": 243,
    "created_at": "2024-12-31T12:08:08.139376+03:00",
    "modified_at": "2024-12-31T12:16:54.376700+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "type": "product",
    "service_type": "delivery",
    "sku": "crystal_mubkhara_large",
    "price": 70,
    "name_en": "Mabkhara Crystal",
    "name_ar": "مبخرة الكريستال",
    "description_en": "",
    "description_ar": "",
    "is_main_variant": true,
    "variant_title_en": null,
    "variant_title_ar": null,
    "is_bundle_item_only": false,
    "branch_id": null,
    "city_id": null,
    "handler_id": null,
    "limited_qty": true,
    "qty": 10,
    "is_scheduled": false,
    "plan_config": null,
    "is_plan_only": false,
    "is_plan_enabled": false,
    "is_active": true,
    "served_from_date": null,
    "served_to_date": null,
    "served_from_time": null,
    "served_to_time": null,
    "gender": null,
    "allow_checkin_everywhere": false,
    "allow_preferred_date": false,
    "allow_preferred_time": false
}
Modified at 2025-06-17 08:18:22
Previous
Item Details
Next
Update Item
Built with